=== debian/control ===
Source: ros-kinetic-depthcloud-encoder
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-transport, ros-kinetic-message-filters, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf-conversions
Homepage: http://ros.org/wiki/depthcloud_encoder
Standards-Version: 3.9.2

Package: ros-kinetic-depthcloud-encoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-transport, ros-kinetic-message-filters, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf-conversions
Description: Point Cloud Encoder for Web-Based Streaming
